[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[dm-devel] Re: > You may find that you need to update your lvm userspace tools.



On Tue, 05 Feb 2008 12:32:11 +0700 Igor M Podlesny <for poige+linux gmail com> wrote:

> On 2008-02-04 20:27, Andrew Morton wrote:
> > On Mon, 04 Feb 2008 20:16:48 +0700 Igor M Podlesny <for poige+linux gmail com> wrote:
> [...]
> >>    Now I can say that both 2.6.24-mm1 and 2.6.24-git11 do NOT "see" any
> >> of mine LVM-2 disks. pvscan, for e.g., finds nothing at all.
> > 
> > You may find that you need to update your lvm userspace tools.
> 
> 	You're right; I've updated my initrd with fresh lvm
> userspace-counterpart and now the problem has been fixed. Sorry for
> groundless alert.
> 

No, breakage of a userspace interface is considered a serious regression.

If this was deliberate and utterly unavoidable, well, that's bad but sometimes
these things happen.  We do prefer to go through elaborate notification
processes to minimise the disruption, which afaik did not happen here.

If, however, the breakage was was unintentional then we should find the
cause and fix it asap, and backport the fix into 2.6.24.1.

Please tell us what version of the userspace tools you were previously runnning.

Could someone in dm-devel land please get involved?


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]